function miniGameCanDamage(%obj, %col)
{
  if (getMiniGameFromObject(%obj) != $DefaultMiniGame ||
    getMiniGameFromObject(%col) != $DefaultMiniGame)
  {
    return 0;
  }

  if (!(%col.getType() & $TypeMasks::PlayerObjectType))
  {
    return 0;
  }

  if (%col.client == %obj)
  {
    return 1;
  }

  //echo(%obj.getClassName() SPC "->" SPC %col.getClassName());

  if (%obj.getType() & $TypeMasks::PlayerObjectType)
  {
    %ghost1 = %obj.isGhost;
  }
  else
  {
    %className = %obj.getClassName();

    switch$ (%className)
    {
      case "GameConnection": %ghost1 = %obj.player.isGhost;
    }
  }

  %ghost2 = %col.isGhost ? 1 : 0;

  if ((%ghost1 && %ghost2) || (!%ghost1 && !%ghost2))
  {
    //echo("compat issu");
    return 0;
  }

  return 1;
}